# List budget member topups

List the topups for a budget member.

Endpoint: GET /v1/businesses/{client_id}/budgets/{budget_id}/members/{budget_member_id}/topups
Version: v1
Security: BearerAuth

## Path parameters:

  - `client_id` (integer, required)
    The ID of the business.
    Example: 123

  - `budget_id` (string, required)
    The ID of the budget.

  - `budget_member_id` (integer, required)
    The ID of the budget member.

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of topups that match the query.
    Example: 100

  - `next` (string)
    The URL to the next page of topups.
    Example: "offset=50&limit=50"

  - `previous` (string)
    The URL to the previous page of topups.
    Example: "offset=0&limit=50"

  - `results` (array)

  - `results.id` (string)
    The ID of the topup.
    Example: "e33b7c61-5124-4ba0-b238-e4c573133715"

  - `results.amount` (number)
    Positive values increase the available amount, negative values decrease it.
    Example: 100

  - `results.description` (string)
    The description of the topup.
    Example: "Additional funds for travel"

  - `results.status` (string)
    The status of the topup.
    Enum: "APPROVED", "CANCELLED", "DECLINED", "PENDING"

  - `results.requested_by` (object,null)
    The user who requested the topup.

  - `results.requested_by.id` (integer)
    The ID of the user.
    Example: 123

  - `results.requested_by.first_name` (string)
    The first name of the user.
    Example: "John"

  - `results.requested_by.last_name` (string)
    The last name of the user.
    Example: "Doe"

  - `results.requested_by.name` (string)
    The full name of the user or the display name if the user has set one.
    Example: "John Doe"

  - `results.actioned_by` (object,null)
    The user who actioned an approval or decline of the topup.

  - `results.actioned_on` (string)
    The date and time when the topup was actioned in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `results.created` (string)
    The date and time when the topup was created in UTC.
    Example: "2024-01-01T00:00:00Z"

  - `results.updated` (string)
    The date and time when the topup was last updated in UTC.
    Example: "2024-01-01T00:00:00Z"


